/*

  Barometric Pressure Sensor Module BMP180

  Parts required:
  - Arduino Board
  - Barometric Pressure Sensor Module BMP180

  Library required:
  - Adafruit_BMP085

  Programming by René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 11 Jan 2020
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

#include <Wire.h>                                       // include Wire Library
#include <Adafruit_BMP085.h>                            // include Adafruit_BMP085 Library

Adafruit_BMP085 bmp;                                    // create object bmp from Adafruit_BMP085
  
void setup() {
  Serial.begin(9600);                                   // start Serial Monitor communication
  if (!bmp.begin()) {
	Serial.println("Could not find a BMP180 sensor");     // print text to Serial Monitor
	while (1) {}                                          
  }
}
  
void loop() {
 
    // print text and measurement to Serial Monitor
    Serial.print("Temperature = ");                     
    Serial.print(bmp.readTemperature());
    Serial.println(" *C");
    
    Serial.print("Pressure = ");
    Serial.print(bmp.readPressure());
    Serial.println(" Pa");
    
    Serial.print("Altitude = ");
    Serial.print(bmp.readAltitude());
    Serial.println(" meters");

    Serial.print("Pressure at sealevel (calculated) = ");
    Serial.print(bmp.readSealevelPressure());
    Serial.println(" Pa");

    Serial.print("Real altitude = ");
    Serial.print(bmp.readAltitude(101500));
    Serial.println(" meters");
    
    Serial.println();
    delay(1500);                                        // wait 1500ms
}
